<p align="center">
  <img alt="CometChat" src="https://assets.cometchat.io/website/images/logos/banner.png">
</p>

# CometChat Flutter UIKit Shared Package
The <a href="https://pub.dev/packages/cometchat_uikit_shared"><strong>CometChat UIKit Shared</strong></a> serves as a foundation for two robust UI Kits - <a href="https://pub.dev/packages/cometchat_chat_uikit"><strong>CometChat Chat UIKit</strong></a> and <a href="https://pub.dev/packages/cometchat_calls_uikit"><strong>CometChat Calls UIKit</strong></a>. The modular design of the resources and widgets provided by this package ensures efficient code reuse and consistent styling across your app.  <br/>

### Prerequisites
- Flutter 3.10.5
- Dart 3.0.5
- Android Studio 2022.2
- Xcode 14.3
- Android 9, API 28 and above
- iOS 12.0

### Note
- This package is used by the CometChat UI Kits internally. The package is not meant to be used without other required CometChat dependencies.

## Getting Started

To set up CometChat's Flutter UIKit and utilize CometChat for your chat and calls functionality, you'll need to follow these steps:
- **Create an Account**: Register at the [CometChat Dashboard](https://app.cometchat.com/) to create an account.
- **Create an Application**: After registering, log into your CometChat account and create a new app. Once created, CometChat will generate an Auth Key and App ID for you. Keep these credentials secure as you'll need them later.
- **Check the [key concepts](https://www.cometchat.com/docs/v4/flutter-uikit/key-concepts)** to understand the basic components of CometChat.
- **Refer to the [Integration Steps](https://www.cometchat.com/docs/v4/flutter-uikit/integration#getting-started)** Steps in our documentation to integrate into your Flutter app.

## Help and Support
For issues running the project or integrating with our UI Kits, consult our [documentation](https://www.cometchat.com/docs/v4/flutter-uikit/integration) or create a [support ticket](https://help.cometchat.com/hc/en-us) or seek real-time support via the [CometChat Dashboard](https://app.cometchat.com/).