import 'translations.dart';

/// The translations for Chinese (`zh`).
class TranslationsZh extends Translations {
  TranslationsZh([String locale = 'zh']) : super(locale);

  @override
  String get users => '用户';

  @override
  String get chats => '聊天室';

  @override
  String get groups => '群组';

  @override
  String get more => '更多';

  @override
  String get message_image => '📷 图片';

  @override
  String get message_file => '📁 文件';

  @override
  String get message_video => '📹 视频';

  @override
  String get message_audio => '🎵 音频';

  @override
  String get custom_message => '你有消息';

  @override
  String get missed_voice_call => '未接语音通话';

  @override
  String get missed_video_call => '未接视频通话';

  @override
  String get custom_message_poll => '📊 民意调查';

  @override
  String get custom_message_sticker => '💟 贴纸';

  @override
  String get custom_message_document => '📃 文档';

  @override
  String get custom_message_whiteboard => '📝 白板';

  @override
  String get online => '线上';

  @override
  String get administrator => '管理员';

  @override
  String get moderator => '演示者';

  @override
  String get participant => '参与者';

  @override
  String get public => '公开';

  @override
  String get private => '私人';

  @override
  String get password_protected => '密码保护';

  @override
  String get privacy_and_security => '隐私和安全';

  @override
  String get preferences => '偏好';

  @override
  String get members => '成员';

  @override
  String get today => '今天';

  @override
  String get yesterday => '昨天';

  @override
  String get sunday => '星期日';

  @override
  String get monday => '星期一';

  @override
  String get tuesday => '星期二';

  @override
  String get wednesday => '周三';

  @override
  String get thursday => '星期四';

  @override
  String get friday => '星期五';

  @override
  String get saturday => '星期六';

  @override
  String get typing => '正在键入...';

  @override
  String get is_typing => '正在输入...';

  @override
  String get close => '关闭';

  @override
  String get enter_group_name => '输入组名';

  @override
  String get add_members => '添加成员';

  @override
  String get send_message => '发送消息';

  @override
  String get unblock_user => '解除封锁用户';

  @override
  String get block_user => '屏蔽用户';

  @override
  String get delete_and_exit => '删除并退出';

  @override
  String get leave_group => '离开群组';

  @override
  String get create_group => '创建群组';

  @override
  String get shared_media => '共享媒体';

  @override
  String get video_call => '视频通话';

  @override
  String get audio_call => '语音通话';

  @override
  String get loading => '正在加载...';

  @override
  String get reply => '答复';

  @override
  String get replies => '回复';

  @override
  String get launch => '启动';

  @override
  String get shared_collaborative_document => '共享了一份协作文档';

  @override
  String get shared_collaborative_whiteboard => '共享了协作白板';

  @override
  String get created_whiteboard => '你已经创建了一个新的协作白板';

  @override
  String get created_document => '你已经创建了一个新的 SOM 协作文档';

  @override
  String get photos => '照片';

  @override
  String get videos => '视频';

  @override
  String get document => '文档';

  @override
  String get you_deleted_this_message => '⚠️ 你删除了这条消息';

  @override
  String get this_message_deleted => '⚠️ 此消息已被删除';

  @override
  String get view_on_youtube => '在优酷上查看';

  @override
  String get search => '搜寻';

  @override
  String get no_users_found => '未找到用户';

  @override
  String get error => '错误';

  @override
  String get no_groups_found => '未找到群组';

  @override
  String get no_chats_found => '找不到聊天记录';

  @override
  String get media_message => '媒体消息';

  @override
  String get incoming_audio_call => '来电音频呼叫';

  @override
  String get incoming_video_call => '来电视频通话';

  @override
  String get decline => '拒绝';

  @override
  String get accept => '接受';

  @override
  String get call_initiated => '呼叫已启动';

  @override
  String get outgoing_audio_call => '传出语音通话';

  @override
  String get outgoing_video_call => '传出视频通话';

  @override
  String get call_rejected => '呼叫被拒绝';

  @override
  String get rejected_call => '呼叫被拒绝';

  @override
  String get call_accepted => '呼叫已接受';

  @override
  String get joined => '已加入';

  @override
  String get left_the_call => '离开了电话';

  @override
  String get unanswered_audio_call => '未接听的语音通话';

  @override
  String get unanswered_video_call => '未接听的视频通话';

  @override
  String get call_ended => '通话已结束';

  @override
  String get call_cancelled => '通话已取消';

  @override
  String get call_busy => '呼叫忙';

  @override
  String get calling => '正在呼叫...';

  @override
  String get add => '添加';

  @override
  String get no_banned_members_found => '未找到被禁成员';

  @override
  String get banned_members => '被禁会员';

  @override
  String get name => '姓名';

  @override
  String get scope => '范围';

  @override
  String get unban => 'Unban';

  @override
  String get select_group_type => '选择群组类型';

  @override
  String get enter_group_password => '输入群组密码';

  @override
  String get create => '创建';

  @override
  String get create_poll => '创建投票';

  @override
  String get question => '问题';

  @override
  String get enter_your_question => '输入你的问题';

  @override
  String get options => '选项';

  @override
  String get enter_your_option => '输入你的选项';

  @override
  String get add_new_option => '添加新选项';

  @override
  String get view_members => '查看会员';

  @override
  String get details => '详情';

  @override
  String get notifications => '通知';

  @override
  String get other => '其他';

  @override
  String get help => '帮助';

  @override
  String get report_problem => '报告问题';

  @override
  String get group_members => '群组成员';

  @override
  String get ban => 'Ban';

  @override
  String get kick => '踢';

  @override
  String get pick_your_emoji => '选择你的表情符号';

  @override
  String get private_group => '私人群组';

  @override
  String get protected_group => '受保护群组';

  @override
  String get visit => '参观';

  @override
  String get attach => '附上';

  @override
  String get attach_file => '附加文件';

  @override
  String get attach_video => '附加视频';

  @override
  String get attach_audio => '附加音频';

  @override
  String get attach_image => '附上图片';

  @override
  String get collaborate_using_document => '使用文档进行协作';

  @override
  String get collaborate_using_whiteboard => '使用白板进行协作';

  @override
  String get emoji => '表情符号';

  @override
  String get enter_your_message_here => '在这里输入您的留言';

  @override
  String get no_messages_found => '未找到任何消息';

  @override
  String get thread => '线程';

  @override
  String get collaborative_document => '协作文档';

  @override
  String get collaborative_whiteboard => '协作白板';

  @override
  String get add_reaction => '添加反应';

  @override
  String get no_stickers_found => '未找到贴纸';

  @override
  String get reply_to_thread => '回复话题';

  @override
  String get reply_in_thread => '在话题中回复';

  @override
  String get delete_message => '删除消息';

  @override
  String get edit_message => '编辑消息';

  @override
  String get owner => '所有者';

  @override
  String get change_scope => '更改范围';

  @override
  String get sticker => '贴纸';

  @override
  String get last_active_at => '上次活动时间';

  @override
  String get voice_call => '语音通话';

  @override
  String get view_detail => '查看详情';

  @override
  String get votes => '选票';

  @override
  String get vote => '投票';

  @override
  String get no_vote => '不投票';

  @override
  String get reacted => '反应';

  @override
  String get added => '添加';

  @override
  String get unbanned => '未禁止';

  @override
  String get made => '制作';

  @override
  String get call_unanswered => '呼叫未接听';

  @override
  String get missed_audio_call => '未接语音通话';

  @override
  String get enter_your_password => '输入你的密码';

  @override
  String get docs => '文档';

  @override
  String get no_records_found => '未找到记录';

  @override
  String get live_reaction => '现场反应';

  @override
  String get smiley_people => '笑脸和人物';

  @override
  String get animales_nature => '动物与自然';

  @override
  String get food_drink => '食物和饮料';

  @override
  String get activity => '活动';

  @override
  String get travel_places => '旅行和地点';

  @override
  String get objects => '物体';

  @override
  String get symbols => '符号';

  @override
  String get flags => '旗帜';

  @override
  String get sent => '已发送';

  @override
  String get seen => '看见';

  @override
  String get delivered => '已交付';

  @override
  String get translate_message => '翻译消息';

  @override
  String get left => '左边';

  @override
  String get kicked => '被踢的';

  @override
  String get banned => '禁止';

  @override
  String get new_messages => '新留言';

  @override
  String get new_message => '新消息';

  @override
  String get jump => '跳';

  @override
  String get select_video_source => '选择视频源';

  @override
  String get select_input_audio_source => '选择输入音频源';

  @override
  String get select_output_audio_source => '选择输出音频源';

  @override
  String get initiated_group_call => '已发起群组通话';

  @override
  String get you_initiated_group_call => '你发起了群组通话';

  @override
  String get ignore => '忽略';

  @override
  String get on_another_call => '正在接另一个电话';

  @override
  String get creating => '正在创建';

  @override
  String get avatar => '阿凡达';

  @override
  String get ongoing_call => '正在进行通话';

  @override
  String get you_already_ongoing_call => '你已经在通话中';

  @override
  String get resize => '调整大小';

  @override
  String get settings => '设置';

  @override
  String get actions => '行动';

  @override
  String get view_profile => '查看档案';

  @override
  String get send_message_in_private => '私下发送消息';

  @override
  String get delete => '删除';

  @override
  String get delete_confirm => '是否要删除此对话？此对话将从您的所有设备中删除';

  @override
  String get cancel => '取消';

  @override
  String get leave_confirm => '你确定要离开小组吗？';

  @override
  String get transfer_confirm => '您是群组所有者，请在离开群组前将所有权转让给成员';

  @override
  String get adding => '正在添加...';

  @override
  String get transfer => '转移';

  @override
  String get transferring => '正在转移';

  @override
  String get yes => '是的';

  @override
  String get no => '不是';

  @override
  String get something_wrong => '出错了，请再试一次';

  @override
  String get invalid_group_name => '请输入该组的有效名称，然后重试';

  @override
  String get invalid_password => '请输入该组的有效密码，然后重试';

  @override
  String get invalid_group_type => '请输入该组的有效类型，然后重试';

  @override
  String get wrong_password => '请输入正确的密码，然后重试';

  @override
  String get invalid_poll_question => '请在创建民意调查前输入必填问题';

  @override
  String get invalid_poll_option => '在创建民意调查之前，请输入必填答案';

  @override
  String get same_language_message => '选择的翻译语言与原始消息的语言类似';

  @override
  String get leave => '离开';

  @override
  String get click_to_start_conversation => '点击开始对话';

  @override
  String get custom_message_location => '📍 地点';

  @override
  String get shared_location => '共享位置';

  @override
  String get in_a_thread => '在话题中 ⤵';

  @override
  String get calls => '来电';

  @override
  String get offline => '离线';

  @override
  String get you => '你';

  @override
  String get privacy => '隐私';

  @override
  String get blocked_users => '被封锁的用户';

  @override
  String get youveBlocked => '你已经封锁了';

  @override
  String get no_photos => '没有照片';

  @override
  String get no_videos => '没有视频';

  @override
  String get no_documents => '没有文档';

  @override
  String get join => '加入';

  @override
  String get peopleVoted => '人们投了票';

  @override
  String get set_the_answers => '设定答案';

  @override
  String get add_another_answer => '添加另一个答案';

  @override
  String get answer => '回答';

  @override
  String get cant_load_messages => '无法加载消息。请再试一次';

  @override
  String get try_again => '再试一次';

  @override
  String get cant_load_chats => '无法加载聊天。请再试一次';

  @override
  String get no_chats_yet => '还没聊天';

  @override
  String get take_photo => '拍照';

  @override
  String get photo_and_video_library => '照片和视频库';

  @override
  String get image_library => '图像库';

  @override
  String get video_library => '视频库';

  @override
  String get message => '留言';

  @override
  String get no_messages_here_yet => '这里还没有留言';

  @override
  String get select_reaction => '选择反应';

  @override
  String get audio => '音频';

  @override
  String get open_document => '打开文档';

  @override
  String get open_whiteboard => '打开白板';

  @override
  String get open_document_subtitle => '打开文档，一起编辑内容';

  @override
  String get open_whiteboard_subtitle => '打开白板一起画画';

  @override
  String get message_is_deleted => '留言已删除';

  @override
  String get file => '文件';

  @override
  String get shared_file => '共享文件';

  @override
  String get view => '查看';

  @override
  String get edit => '编辑';

  @override
  String get start_thread => '开始线程';

  @override
  String get share => '分享';

  @override
  String get copy_text => '复制文本';

  @override
  String get forward => '向前';

  @override
  String get information => '信息';

  @override
  String get translate => '翻译';

  @override
  String get text => '文本';

  @override
  String get location => '地点';

  @override
  String get poll => '民意调查';

  @override
  String get delete_capital => '删除';

  @override
  String get cancel_capital => '取消';

  @override
  String get error_internet_unavailable => '互联网不可用';

  @override
  String get something_went_wrong_error => '出了点问题';

  @override
  String get ok => 'O';

  @override
  String get password => 'Password';

  @override
  String get protected => 'Protected';

  @override
  String get new_group => 'New Group';

  @override
  String get incorrect_password => 'Incorrect Password';

  @override
  String get please_try_another_password => 'Please try another password';

  @override
  String get okay => 'OKAY';

  @override
  String get enter_password_to_access => 'Enter password to access';

  @override
  String get group => 'group';

  @override
  String get group_password => 'Group Password';

  @override
  String get are_you_sure_unsafe_content => '你肯定想看不安全的内容吗';

  @override
  String get unsafe_content => '不安全的内容';

  @override
  String get failed_to_load_image => '无法加载映像';

  @override
  String get transfer_ownership => '转让所有权';

  @override
  String get outgoing_call => '拨出电话';

  @override
  String get incoming_call => '来电';

  @override
  String get missed_call => '“未接来电';

  @override
  String get forwarding_message => '正在转发消息...';

  @override
  String get max_selection_limit_is => 'max selection limit is';

  @override
  String get connecting => '正在连接...';

  @override
  String get message_information => '留言信息';

  @override
  String get send_message_privately => '私下发送消息';

  @override
  String get read => '阅读';

  @override
  String get no_recipient => '没有收件人';

  @override
  String get receipt_information => '收据信息';

  @override
  String get form_message => '📋 表格';

  @override
  String get card_mesage => '🪧 卡片';

  @override
  String get goal_achieved_successfully => '目标成功实现';

  @override
  String get smart_replies => '智能回复';

  @override
  String get conversation_starters => '对话入门';

  @override
  String get no_replies_found => '未找到回复';

  @override
  String get suggest_a_reply => '建议回复';

  @override
  String get generating_ice_breakers => '生成破冰船';

  @override
  String get generating_replies => '生成回复';

  @override
  String get cancelled_audio_call => '已取消语音通话';

  @override
  String get cancelled_video_call => '视频通话取消';

  @override
  String get rejected_audio_call => '音频通话被拒绝';

  @override
  String get rejected_video_call => '视频通话被拒绝';

  @override
  String get recording => '录制';

  @override
  String get participants => '参与者';

  @override
  String get history => '历史';

  @override
  String get no_call_logs_found => '未找到通话记录';

  @override
  String get call_detail => '通话详情';

  @override
  String get initiator => '发起者';

  @override
  String get call_history => '通话记录';

  @override
  String get no_call_history_found => '未找到通话记录';

  @override
  String get no_recordings_found => '未找到任何录音';

  @override
  String get no_Calls_found => '未找到任何来电';

  @override
  String get ongoing_audio_call => '正在进行的语音通话';

  @override
  String get ongoing_video_call => '正在进行的视频通话';

  @override
  String get cancelled_call => '已取消通话';

  @override
  String get unanswered_call => '未接听的电话';

  @override
  String get video => '视频';

  @override
  String get no_participants_found => '未找到任何参与者';

  @override
  String get ask_bot => '问机器人';

  @override
  String get conversation_summary => '对话摘要';

  @override
  String get ask => '如';

  @override
  String get bot => 'bo';

  @override
  String get generating_summary => '正在生成摘要';

  @override
  String get pleaseTryAgain => '请再试一次';

  @override
  String get bookNewSlot => '预订新老虎机';

  @override
  String get yourSlotHasBeenBooked => '您的老虎机已被预订';

  @override
  String get pleaseTryNewSlot => '请尝试一个新的插槽';

  @override
  String get hi => '嗨';

  @override
  String get yourAppointmentIsScheduledWith => '您的预约时间为';

  @override
  String get hereAreYourDetails => '这是你的详细信息';

  @override
  String get selectTime => '选择时间';

  @override
  String get selectDay => '选择一天';

  @override
  String get timeZone => '时区';

  @override
  String get meeting => '会议';

  @override
  String get moreTimes => '更多次数';

  @override
  String get schedule => '日程安排';

  @override
  String get meetingCannotBeScheduled => '会议无法安排';

  @override
  String get tryAgain => '再试一次';

  @override
  String get timeSlotUnavailable => '时间段不可用。请选择其他日期';

  @override
  String get meetingWith => '会议与';

  @override
  String get schedulerMessage => '调度器消息';

  @override
  String get enterText => '输入文本';

  @override
  String get selectOption => '选择选项';

  @override
  String get noReactionsFound => '未找到任何反应';

  @override
  String get all => '全部';

  @override
  String get tapToRemove => '点按即可移除';

  @override
  String get copy => '複製';

  @override
  String get info => '資訊';

  @override
  String get messagePrivately => '私下留言';
}

/// The translations for Chinese, as used in Taiwan (`zh_TW`).
class TranslationsZhTw extends TranslationsZh {
  TranslationsZhTw(): super('zh_TW');

  @override
  String get users => '使用者';

  @override
  String get chats => '聊天';

  @override
  String get groups => '群組';

  @override
  String get more => '更多';

  @override
  String get message_image => '📷 圖片';

  @override
  String get message_file => '📁 文件檔案';

  @override
  String get message_video => '📹 影片專輯';

  @override
  String get message_audio => '🎵 音訊';

  @override
  String get custom_message => '您有訊息';

  @override
  String get missed_voice_call => '未接語音通話';

  @override
  String get missed_video_call => '未接視訊通話';

  @override
  String get custom_message_poll => '📊 民意調查';

  @override
  String get custom_message_sticker => '💟 貼紙';

  @override
  String get custom_message_document => '📃 文件';

  @override
  String get custom_message_whiteboard => '📝 白板';

  @override
  String get online => '在线';

  @override
  String get administrator => '管理員';

  @override
  String get moderator => '主持人';

  @override
  String get participant => '參加者';

  @override
  String get public => '公眾';

  @override
  String get private => '私人';

  @override
  String get password_protected => '密碼保護';

  @override
  String get privacy_and_security => '隱私權與安全性';

  @override
  String get preferences => '偏好設定';

  @override
  String get members => '會員';

  @override
  String get today => '今天';

  @override
  String get yesterday => '昨天';

  @override
  String get sunday => '星期日';

  @override
  String get monday => '星期一';

  @override
  String get tuesday => '星期二';

  @override
  String get wednesday => '星期三';

  @override
  String get thursday => '星期四';

  @override
  String get friday => '星期五';

  @override
  String get saturday => '星期六';

  @override
  String get typing => '打字...';

  @override
  String get is_typing => '正在輸入...';

  @override
  String get close => '關閉';

  @override
  String get enter_group_name => '輸入群組名稱';

  @override
  String get add_members => '新增成員';

  @override
  String get send_message => '傳送訊息';

  @override
  String get unblock_user => '解除封鎖用戶';

  @override
  String get block_user => '封鎖使用者';

  @override
  String get delete_and_exit => '刪除並退出';

  @override
  String get leave_group => '離開群組';

  @override
  String get create_group => '建立群組';

  @override
  String get shared_media => '共享媒體';

  @override
  String get video_call => '視訊通話';

  @override
  String get audio_call => '音訊通話';

  @override
  String get loading => '載入中...';

  @override
  String get reply => '回复';

  @override
  String get replies => '回覆';

  @override
  String get launch => '啟動';

  @override
  String get shared_collaborative_document => '已共用協同合作文件';

  @override
  String get shared_collaborative_whiteboard => '共用了一個協作白板';

  @override
  String get created_whiteboard => '您已建立新的共同作業白板';

  @override
  String get created_document => '您已經建立了新的 SOM協作文件';

  @override
  String get photos => '。照片。';

  @override
  String get videos => '影片';

  @override
  String get document => '文件';

  @override
  String get you_deleted_this_message => '⚠️ 您刪除了此消息';

  @override
  String get this_message_deleted => '⚠️ 此訊息已刪除';

  @override
  String get view_on_youtube => '在影片上觀看';

  @override
  String get search => '搜索';

  @override
  String get no_users_found => '找不到使用者';

  @override
  String get error => '錯誤';

  @override
  String get no_groups_found => '找不到群組';

  @override
  String get no_chats_found => '找不到聊天';

  @override
  String get media_message => '媒體訊息';

  @override
  String get incoming_audio_call => '來電音訊通話';

  @override
  String get incoming_video_call => '來電視訊通話';

  @override
  String get decline => '拒絕';

  @override
  String get accept => '接受';

  @override
  String get call_initiated => '呼叫啟動';

  @override
  String get outgoing_audio_call => '傳出音訊通話';

  @override
  String get outgoing_video_call => '撥出視訊通話';

  @override
  String get call_rejected => '來電被拒絕';

  @override
  String get rejected_call => '拒絕, 電話';

  @override
  String get call_accepted => '接受呼叫';

  @override
  String get joined => '加入';

  @override
  String get left_the_call => '離開電話';

  @override
  String get unanswered_audio_call => '未接聽的音頻通話';

  @override
  String get unanswered_video_call => '未接聽的視頻通話';

  @override
  String get call_ended => '通話結束';

  @override
  String get call_cancelled => '通話取消';

  @override
  String get call_busy => '呼叫忙';

  @override
  String get calling => '呼叫...';

  @override
  String get add => '新增';

  @override
  String get no_banned_members_found => '找不到被禁止的成員';

  @override
  String get banned_members => '被禁止的成員';

  @override
  String get name => '姓名';

  @override
  String get scope => '範圍';

  @override
  String get unban => '取消禁令';

  @override
  String get select_group_type => '選擇群組類型';

  @override
  String get enter_group_password => '輸入群組密碼';

  @override
  String get create => '創建';

  @override
  String get create_poll => '創建民意調查';

  @override
  String get question => '問題';

  @override
  String get enter_your_question => '輸入您的問題';

  @override
  String get options => '選項';

  @override
  String get enter_your_option => '輸入您的選項';

  @override
  String get add_new_option => '新增選項';

  @override
  String get view_members => '查看成員';

  @override
  String get details => '詳細資料';

  @override
  String get notifications => '通知';

  @override
  String get other => '其他';

  @override
  String get help => '幫助';

  @override
  String get report_problem => '回報問題';

  @override
  String get group_members => '集團成員';

  @override
  String get ban => '禁令';

  @override
  String get kick => '踢';

  @override
  String get pick_your_emoji => '選擇你的表情符號';

  @override
  String get private_group => '私人群組';

  @override
  String get protected_group => '受保護的群組';

  @override
  String get visit => '造訪';

  @override
  String get attach => '貼附';

  @override
  String get attach_file => '附加檔案';

  @override
  String get attach_video => '附加影片';

  @override
  String get attach_audio => '附加音訊';

  @override
  String get attach_image => '附加圖片';

  @override
  String get collaborate_using_document => '使用文件共同作業';

  @override
  String get collaborate_using_whiteboard => '使用白板共同作業';

  @override
  String get emoji => '表情符號';

  @override
  String get enter_your_message_here => '在此輸入您的訊息';

  @override
  String get no_messages_found => '找不到訊息';

  @override
  String get thread => '螺紋';

  @override
  String get collaborative_document => '協作文件';

  @override
  String get collaborative_whiteboard => '協作白板';

  @override
  String get add_reaction => '加入反應';

  @override
  String get no_stickers_found => '找不到貼圖';

  @override
  String get reply_to_thread => '回复主題';

  @override
  String get reply_in_thread => '在執行緒中回覆';

  @override
  String get delete_message => '刪除訊息';

  @override
  String get edit_message => '編輯訊息';

  @override
  String get owner => '擁有者';

  @override
  String get change_scope => '變更範圍';

  @override
  String get sticker => '貼紙';

  @override
  String get last_active_at => '最後作用時間';

  @override
  String get voice_call => '語音通話';

  @override
  String get view_detail => '查看詳情';

  @override
  String get votes => '票';

  @override
  String get vote => '投票';

  @override
  String get no_vote => '不投票';

  @override
  String get reacted => '反應';

  @override
  String get added => '添加';

  @override
  String get unbanned => '未被禁止的';

  @override
  String get made => '製作';

  @override
  String get call_unanswered => '呼叫未接聽';

  @override
  String get missed_audio_call => '未接聽音訊通話';

  @override
  String get enter_your_password => '輸入您的密碼';

  @override
  String get docs => '文件';

  @override
  String get no_records_found => '找不到任何記錄';

  @override
  String get live_reaction => '即時反應';

  @override
  String get smiley_people => '表情符號與人';

  @override
  String get animales_nature => '動物與自然';

  @override
  String get food_drink => '食物 & 飲料';

  @override
  String get activity => '活動';

  @override
  String get travel_places => '旅遊與地方';

  @override
  String get objects => '物件';

  @override
  String get symbols => '符號';

  @override
  String get flags => '旗';

  @override
  String get sent => '已傳送';

  @override
  String get seen => '看到';

  @override
  String get delivered => '已交付';

  @override
  String get translate_message => '翻譯訊息';

  @override
  String get left => '剩下';

  @override
  String get kicked => '踢';

  @override
  String get banned => '取締';

  @override
  String get new_messages => '新訊息';

  @override
  String get new_message => '新訊息';

  @override
  String get jump => '跳';

  @override
  String get select_video_source => '選擇視頻源';

  @override
  String get select_input_audio_source => '選擇輸入音頻源';

  @override
  String get select_output_audio_source => '選擇輸出音頻源';

  @override
  String get initiated_group_call => '已啟動群組通話';

  @override
  String get you_initiated_group_call => '您已啟動群組通話';

  @override
  String get ignore => '忽略';

  @override
  String get on_another_call => '正在另一通電話';

  @override
  String get creating => '正在建立';

  @override
  String get avatar => '阿凡達';

  @override
  String get ongoing_call => '持續通話';

  @override
  String get you_already_ongoing_call => '您已經在進行中的通話';

  @override
  String get resize => '調整大小';

  @override
  String get settings => '設定';

  @override
  String get actions => '動作';

  @override
  String get view_profile => '檢視個人檔案';

  @override
  String get send_message_in_private => '私下傳送訊息';

  @override
  String get delete => '刪除';

  @override
  String get delete_confirm => '您要刪除此對話嗎？此對話將從您的所有設備中刪除';

  @override
  String get cancel => '取消';

  @override
  String get leave_confirm => '您確定要離開群組嗎？';

  @override
  String get transfer_confirm => '您是群組擁有者，請在離開群組前將擁有權移轉給會員';

  @override
  String get adding => '正在加入...';

  @override
  String get transfer => '轉移';

  @override
  String get transferring => '轉移';

  @override
  String get yes => '是';

  @override
  String get no => '沒有';

  @override
  String get something_wrong => '發生錯誤，請再試一次';

  @override
  String get invalid_group_name => '請輸入群組的有效名稱，然後再試一次';

  @override
  String get invalid_password => '請輸入群組的有效密碼，然後再試一次';

  @override
  String get invalid_group_type => '請輸入群組的有效類型，然後再試一次';

  @override
  String get wrong_password => '請輸入正確的密碼，然後再試一次';

  @override
  String get invalid_poll_question => '請在建立投票前輸入必要的問題';

  @override
  String get invalid_poll_option => '請在建立投票前輸入必要的答案';

  @override
  String get same_language_message => '選擇的翻譯語言類似於原始信息的語言';

  @override
  String get leave => '離開';

  @override
  String get click_to_start_conversation => '按一下以開始對話';

  @override
  String get custom_message_location => '📍 地理位置';

  @override
  String get shared_location => '共用位置';

  @override
  String get in_a_thread => '在一個線程 ⤵';

  @override
  String get calls => '電話';

  @override
  String get offline => '離線';

  @override
  String get you => '你';

  @override
  String get privacy => '隐私';

  @override
  String get blocked_users => '封鎖的使用者';

  @override
  String get youveBlocked => '您已封鎖';

  @override
  String get no_photos => '暫無照片';

  @override
  String get no_videos => '暫無影片';

  @override
  String get no_documents => '沒有文件';

  @override
  String get join => '加入';

  @override
  String get peopleVoted => '人民投票';

  @override
  String get set_the_answers => '設置答案';

  @override
  String get add_another_answer => '添加另一個答案';

  @override
  String get answer => '答案';

  @override
  String get cant_load_messages => '無法載入訊息。請再試一次';

  @override
  String get try_again => '再試一次';

  @override
  String get cant_load_chats => '無法載入聊天。請再試一次';

  @override
  String get no_chats_yet => '還沒有聊天';

  @override
  String get take_photo => '拍攝照片';

  @override
  String get photo_and_video_library => '照片和視頻庫';

  @override
  String get image_library => '圖片庫';

  @override
  String get video_library => '視頻庫';

  @override
  String get message => '留言';

  @override
  String get no_messages_here_yet => '此處還沒有消息';

  @override
  String get select_reaction => '選擇反作用';

  @override
  String get audio => '音訊';

  @override
  String get open_document => '開啟文件';

  @override
  String get open_whiteboard => '打開白板';

  @override
  String get open_document_subtitle => '開啟文件以一起編輯內容';

  @override
  String get open_whiteboard_subtitle => '打開白板一起繪製';

  @override
  String get message_is_deleted => '郵件已刪除';

  @override
  String get file => '檔案';

  @override
  String get shared_file => '共享檔案';

  @override
  String get view => '檢視';

  @override
  String get edit => '編輯';

  @override
  String get start_thread => '啟動執行緒';

  @override
  String get share => '分享';

  @override
  String get copy_text => '複製文字';

  @override
  String get forward => '向前';

  @override
  String get information => '信息';

  @override
  String get translate => '翻譯';

  @override
  String get text => '文字';

  @override
  String get location => '地理位置';

  @override
  String get poll => '民意調查';

  @override
  String get delete_capital => '刪除';

  @override
  String get cancel_capital => '取消';

  @override
  String get error_internet_unavailable => '無法使用網際網路';

  @override
  String get something_went_wrong_error => '出了什麼問題';

  @override
  String get ok => 'O';

  @override
  String get are_you_sure_unsafe_content => '你一定要看到不安全的內容';

  @override
  String get unsafe_content => '不安全的內容';

  @override
  String get failed_to_load_image => '無法載入影像';

  @override
  String get transfer_ownership => '移轉所有權';

  @override
  String get outgoing_call => '撥出電話';

  @override
  String get incoming_call => '來電';

  @override
  String get missed_call => '「未接來電';

  @override
  String get forwarding_message => '正在轉寄郵件...';

  @override
  String get max_selection_limit_is => '最大選擇限制為';

  @override
  String get connecting => '連接中...';

  @override
  String get message_information => '訊息資訊';

  @override
  String get send_message_privately => '私下傳送訊息';

  @override
  String get read => '閱讀';

  @override
  String get no_recipient => '沒有收件人';

  @override
  String get receipt_information => '收據資料';

  @override
  String get form_message => '📋 表格';

  @override
  String get card_mesage => '🪧 卡';

  @override
  String get goal_achieved_successfully => '成功實現目標';

  @override
  String get smart_replies => '智能回复';

  @override
  String get conversation_starters => '對話起動器';

  @override
  String get no_replies_found => '沒有回复富恩';

  @override
  String get suggest_a_reply => '建議複製';

  @override
  String get generating_ice_breakers => '產生破冰機';

  @override
  String get generating_replies => '產生回覆';

  @override
  String get cancelled_audio_call => '已取消音訊通話';

  @override
  String get cancelled_video_call => '已取消視訊通話';

  @override
  String get rejected_audio_call => '拒絕的音訊通話';

  @override
  String get rejected_video_call => '拒絕的視訊通話';

  @override
  String get recording => '錄音';

  @override
  String get participants => '參加者';

  @override
  String get history => '歷史';

  @override
  String get no_call_logs_found => '找不到通話記錄';

  @override
  String get call_detail => '通話詳情';

  @override
  String get initiator => '啟動者';

  @override
  String get call_history => '通話記錄';

  @override
  String get no_call_history_found => '找不到通話記錄';

  @override
  String get no_recordings_found => '找不到錄音';

  @override
  String get no_Calls_found => '找不到電話';

  @override
  String get ongoing_audio_call => '正在進行的音頻通話';

  @override
  String get ongoing_video_call => '正在進行的視頻通話';

  @override
  String get cancelled_call => '已取消通話';

  @override
  String get unanswered_call => '未接聽的電話';

  @override
  String get video => '視頻';

  @override
  String get no_participants_found => '找不到參與者';

  @override
  String get ask_bot => '詢問機器人';

  @override
  String get conversation_summary => '對話總結';

  @override
  String get ask => '作為';

  @override
  String get bot => '博';

  @override
  String get generating_summary => '產生總和';

  @override
  String get pleaseTryAgain => '請再試一次';

  @override
  String get bookNewSlot => '預訂新老虎機';

  @override
  String get yourSlotHasBeenBooked => '您的位置已預訂';

  @override
  String get pleaseTryNewSlot => '請嘗試一個新的插槽';

  @override
  String get hi => '你好';

  @override
  String get yourAppointmentIsScheduledWith => '您的預約安排於';

  @override
  String get hereAreYourDetails => '以下是您的詳細信息';

  @override
  String get selectTime => '選擇時間';

  @override
  String get selectDay => '選擇一天';

  @override
  String get timeZone => '時區';

  @override
  String get meeting => '會議';

  @override
  String get moreTimes => '更多次數';

  @override
  String get schedule => '時間表';

  @override
  String get meetingCannotBeScheduled => '無法安排會議';

  @override
  String get tryAgain => '再試一次';

  @override
  String get timeSlotUnavailable => '時段不可用。請選擇其他日期';

  @override
  String get meetingWith => '會議與';

  @override
  String get schedulerMessage => '排程器消息';

  @override
  String get enterText => '輸入文字';

  @override
  String get selectOption => '選擇選項';

  @override
  String get noReactionsFound => '找不到反應';

  @override
  String get all => '全部';

  @override
  String get tapToRemove => '點擊以移除';

  @override
  String get copy => '复制';

  @override
  String get info => '信息';

  @override
  String get messagePrivately => '私人訊息';
}
